<?php
require_once("lib.php");

function montar($cR,$cG,$cB){
	//lo pasamos a hexadecimal
	DectoHex($cR,&$cR);
	DectoHex($cG,&$cG);
	DectoHex($cB,&$cB);/*
	echo $cR.'<---  Cr  ';
	echo $cG.'<---  Cg  ';
	echo $cB.'<---  Cb  MONTAR<br>';*/
	$result=$cR;
	$result.=$cG;
	$result.=$cB;
	return $result;
//echo $result.'<-opuesto del color'.$color.'  MONTAR<br>';
}
//divido el color ke entra en RGB y lo paso a decimal
function DivColorDec($color,&$cR,&$cG,&$cB){
	$cR=substr($color, 0, 2);/*	echo $cR.'<---  Cr antes ';*/

	hextodec($cR,&$cR);/*echo $cR.'<---  Cr  despues<br>';*/

	$cG=substr($color, 2, 2);/*	echo $cG.'<---  Cg antes ';*/hextodec($cG,&$cG);/*echo $cG.'<---  Cg  despues<br>';*/
	$cB=substr($color, 4, 2);/* echo $cB.'<---  Cb antes ';*/hextodec($cB,&$cB);/*echo $cB.'<---  Cb  despues<br>';*/
	}
//le paso un color y retorna el opuesto.
//si el color es 128 128 128 Problem!!!
function Opuesto($color){
	//divido el color ke entra en RGB y lo paso a decimal
	DivColorDec($color,$cR,$cG,$cB);
	//calculo su opuesto
	$c1R=255-$cR;
	$c1G=255-$cG;
	$c1B=255-$cB;
	/*echo $c1R.'<---  C1r  ';
	echo $c1G.'<---  C1g  ';
	echo $c1B.'<---  C1b  <br>';*/
	//Montar	
	$result="defect";

	$result=montar($c1R,$c1G,$c1B);	

	return $result;
}
function Triada($color){
	//divido el color ke entra en RGB y lo paso a decimal
	DivColorDec($color,$cR,$cG,$cB);	
	//Organizo los RGB para formar los otros colores
	$result[0]=montar($cG,$cB,$cR);
	$result[1]=montar($cB,$cR,$cG);
	

 return $result; 
}
//si es el blanco o el negro solo dara un color
function Monocromo($color){
	//divido el color ke entra en RGB y lo paso a decimal
	DivColorDec($color,$cR,$cG,$cB);
	//calculo el color inferior
	$c1R=$cR/2;		$c1G=$cG/2;		$c1B=$cB/2;
	//color superior
	$c2R=$cR+(255-$cR)/2;	$c2G=$cG+(255-$cG)/2;	$c2B=$cB+(255-$cB)/2;
	//montar resultados
	
	
	$result[0]=montar($c1R,$c1G,$c1B);
	$result[1]=montar($c2R,$c2G,$c2B);
/*
	echo $color.'<-Monocrome Color   <br>';
	echo $result1.'<-Monocrome inferior<br>';
	echo $result2.'<-Monocrome superior<br>';*/
return $result;
}
//test -->
$re="FFFF00";
$re1="F266Fa";$re2="F266Fa";//si no ago esto me sale Array cuando lo muestro.
//Opuesto($re,$re);'
//Triada($re,$re1,$re2);
//Monocromo($re,$re1,$re2);
//echo $re.'<---  RE <br>';
//echo $re1.'<---  RE1 <br>';
//echo $re2.'<---  RE2 <br>';
/* comprueba resultados
	echo $c1R.'<-    c1R<br>';
	echo $c1G.'<-    c1G<br>';
	echo $c1B.'<-    c1B<br>';
*/


//<--

?>